<?php
//@*--


class Theme_Designer_Block_Adminhtml_Settings_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{
    public function __construct()
    {
        parent::__construct();

        $this->_objectId = 'id';
        $this->_blockGroup = 'designer';
        $this->_controller = 'adminhtml_settings';

        $this->_updateButton('save', 'label', Mage::helper('designer')->__('Save'));
        $this->_updateButton('delete', 'label', Mage::helper('designer')->__('Delete'));

        $this->_addButton('saveandcontinue', array(
            'label'     => Mage::helper('adminhtml')->__('Save And Continue Edit'),
            'onclick'   => 'saveAndContinueEdit()',
            'class'     => 'save',
        ), -100);
    }

    public function getHeaderText()
    {
        return Mage::registry('designer_settings_theme') . ' ' . Mage::helper('designer')->__('theme');
    }
}

//--*@